package xyz.zhouxy.plusone.commons.net;

import static org.junit.jupiter.api.Assertions.*;

import java.net.NetworkInterface;
import java.net.SocketException;

import org.junit.jupiter.api.Test;

import cn.hutool.core.net.NetUtil;
import lombok.extern.slf4j.Slf4j;

@Slf4j
class MoreInetAddressesTests {

    @Test
    void testGetNetworkInterfaceInfo() throws SocketException {
        NetworkInterfaceInfo networkInterfaceInfo = MoreInetAddresses.getNetworkInterfaceInfo();
        String macStr = networkInterfaceInfo.getMacStr();
        log.info("mac: {}", macStr);
        assertEquals(NetUtil.getLocalMacAddress(), macStr);
        NetworkInterface networkInterface = networkInterfaceInfo.getNetworkInterface();
        String ipv4 = MoreInetAddresses.getIpv4(networkInterface).getHostAddress();
        log.info("ipv4: {}", ipv4);
        String ipv6 = MoreInetAddresses.getIpv6(networkInterface).getHostAddress();
        log.info("ipv6: {}", ipv6);
    }
}
